DKPDoor Knock Pro Docs
Webhooks

List event types you can subscribe to

GET
/v1/webhooks/events

Authorization

X-Api-Key<token>

Company API key (format: dkp_...). Required on every request.

In: header

AuthorizationRequiredBearer <token>

In: header

curl -X GET "https://app.doorknockpro.com/api/v1/webhooks/events" \
  -H "X-Api-Key: <token>" \
  -H "Authorization: Bearer <token>"

OK

{
  "data": [
    {
      "id": "string",
      "group": "string",
      "label": "string",
      "description": "string"
    }
  ]
}